%define oname   unf_ext

Name:       ruby-%{oname}
Version:    0.0.8.2
Release:    %mkrel 1
Summary:    Unicode Normalization Form support library for CRuby
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/knu/ruby-unf_ext
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
Unicode Normalization Form support library for CRuby.

%files
%{gem_instdir}/
%{gem_extdir_mri}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc LICENSE.txt
%doc README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Aug 15 2022 pterjan <pterjan> 0.0.8.2-1.mga9
+ Revision: 1877885
- Update to 0.0.8.2

* Tue May 03 2022 pterjan <pterjan> 0.0.8.1-1.mga9
+ Revision: 1855728
- Update to 0.0.8.1

* Fri Mar 25 2022 umeabot <umeabot> 0.0.7.6-3.mga9
+ Revision: 1827173
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 0.0.7.6-2.mga9
+ Revision: 1784631
- Rebuild for Ruby 3.1

* Sat Mar 28 2020 pterjan <pterjan> 0.0.7.6-1.mga8
+ Revision: 1561825
- Update to 0.0.7.6

* Mon Mar 02 2020 pterjan <pterjan> 0.0.7.5-4.mga8
+ Revision: 1553183
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 0.0.7.5-3.mga8
+ Revision: 1516724
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.0.7.5-2.mga7
+ Revision: 1300907
- Mageia 7 Mass Rebuild

* Sun Apr 01 2018 pterjan <pterjan> 0.0.7.5-1.mga7
+ Revision: 1214474
- Update to 0.0.7.5

* Mon Jan 01 2018 pterjan <pterjan> 0.0.7.4-2.mga7
+ Revision: 1188714
- Rebuild for Ruby 2.5

* Sun Aug 20 2017 pterjan <pterjan> 0.0.7.4-1.mga7
+ Revision: 1141932
- Update to 0.0.7.4

* Tue Aug 15 2017 pterjan <pterjan> 0.0.7.1-2.mga7
+ Revision: 1140894
- Rebuild for new Ruby

* Sun Dec 20 2015 pterjan <pterjan> 0.0.7.1-1.mga6
+ Revision: 912405
- Update to 0.0.7.1

* Wed Oct 15 2014 umeabot <umeabot> 0.0.6-8.mga5
+ Revision: 740350
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.6-7.mga5
+ Revision: 688993
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.0.6-6.mga4
+ Revision: 562606
- Fix gem macros

* Tue Dec 24 2013 pterjan <pterjan> 0.0.6-5.mga4
+ Revision: 560551
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 0.0.6-4.mga4
+ Revision: 538233
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 0.0.6-3.mga4
+ Revision: 489063
- Use gem_setup and drop no longer needed patch
- Put the extension at the expected place
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 0.0.6-2.mga4
+ Revision: 476486
- Fix file list
- Patch gemspec to build without being inside a git checkout

* Tue May 28 2013 fwang <fwang> 0.0.6-1.mga4
+ Revision: 429386
- new version 0.0.6

* Fri Feb 08 2013 umeabot <umeabot> 0.0.5-3.mga3
+ Revision: 396599
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.0.5-2.mga3
+ Revision: 381620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.0.5-1.mga3
+ Revision: 313298
- update file list
- imported package ruby-unf_ext

